# Uses of Class
java.security.InvalidParameterException

Packages that use InvalidParameterException
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.security.interfaces
Provides interfaces for generating RSA (Rivest, Shamir and Adleman AsymmetricCipher algorithm) keys as defined in the RSA Laboratory Technical Note PKCS#1, and DSA (Digital Signature Algorithm) keys as defined in NIST's FIPS-186.

## Uses of InvalidParameterException in java.security

Methods in java.security that throw InvalidParameterException
Modifier and Type
Method
Description
`protected abstract Object`
SignatureSpi.`engineGetParameter(String param)`
Deprecated.
`protected abstract void`
SignatureSpi.`engineSetParameter(String param, Object value)`
Deprecated.
Replaced by `engineSetParameter`.
`final Object`
Signature.`getParameter(String param)`
Deprecated.
`final void`
Signer.`setKeyPair(KeyPair pair)`
Deprecated, for removal: This API element is subject to removal in a future version.
Sets the key pair (public key and private key) for this signer.
`final void`
Signature.`setParameter(String param, Object value)`
Deprecated.
Use `setParameter`.

## Uses of InvalidParameterException in java.security.interfaces

Methods in java.security.interfaces that throw InvalidParameterException
Modifier and Type
Method
Description
`void`
DSAKeyPairGenerator.`initialize(int modlen, boolean genParams, SecureRandom random)`
Initializes the key pair generator for a given modulus length (instead of parameters), and an optional SecureRandom bit source.
`void`
DSAKeyPairGenerator.`initialize(DSAParams params, SecureRandom random)`
Initializes the key pair generator using the DSA family parameters (p,q and g) and an optional SecureRandom bit source.